## org.eclipse.emf.edit.provider
Class ItemPropertyDescriptor.PropertyValueWrapper

    java.lang.Object
      org.eclipse.emf.edit.provider.ItemPropertyDescriptor.PropertyValueWrapper

All Implemented Interfaces:
  IItemLabelProvider, IItemPropertySource

Direct Known Subclasses:
  MappingItemProvider.TypeMappingHelperWrapper

Enclosing class:
  ItemPropertyDescriptor

    public static class ItemPropertyDescriptor.PropertyValueWrapper

extends java.lang.Object
implements IItemLabelProvider, IItemPropertySource

Field Summary
`protected AdapterFactoryItemDelegator` `itemDelegator`
`protected java.lang.Object` `nestedPropertySource`
`protected java.lang.Object` `object`
`protected java.lang.Object` `propertyValue`

Constructor Summary
`ItemPropertyDescriptor.PropertyValueWrapper(AdapterFactory adapterFactory, java.lang.Object object, java.lang.Object propertyValue, java.lang.Object nestedPropertySource)`

Method Summary
`protected IItemPropertyDescriptor` `createPropertyDescriptorDecorator(java.lang.Object object, IItemPropertyDescriptor itemPropertyDescriptor)`
`java.lang.Object` `getEditableValue(java.lang.Object thisObject)` This returns the value to be edited.
`java.lang.Object` `getImage(java.lang.Object thisObject)` This does the same thing as ILabelProvider.getImage, it fetches the label image specific to this object instance.
`IItemPropertyDescriptor` `getPropertyDescriptor(java.lang.Object thisObject, java.lang.Object propertyId)` This returns the property descriptor with an `ID` or `feature` that matches the given ID.
`java.util.List<IItemPropertyDescriptor>` `getPropertyDescriptors(java.lang.Object thisObject)` This does the same thing as IPropertySource.getPropertyDescriptors.
`java.lang.String` `getText(java.lang.Object thisObject)` This does the same thing as ILabelProvider.getlText, it fetches the label text specific to this object instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### object

    protected java.lang.Object object

### propertyValue

    protected java.lang.Object propertyValue

### nestedPropertySource

    protected java.lang.Object nestedPropertySource

### itemDelegator

    protected AdapterFactoryItemDelegator itemDelegator

Constructor Detail

### ItemPropertyDescriptor.PropertyValueWrapper

    public ItemPropertyDescriptor.PropertyValueWrapper(AdapterFactory adapterFactory,
                                                       java.lang.Object object,
                                                       java.lang.Object propertyValue,
                                                       java.lang.Object nestedPropertySource)

Method Detail

### getText

    public java.lang.String getText(java.lang.Object thisObject)

  Description copied from interface: `IItemLabelProvider`
  This does the same thing as ILabelProvider.getlText, it fetches the label text specific to this object instance.

  Specified by:
    `getText` in interface `IItemLabelProvider`

### getImage

    public java.lang.Object getImage(java.lang.Object thisObject)

  Description copied from interface: `IItemLabelProvider`
  This does the same thing as ILabelProvider.getImage, it fetches the label image specific to this object instance.

  Specified by:
    `getImage` in interface `IItemLabelProvider`

### getPropertyDescriptors

    public java.util.List<IItemPropertyDescriptor> getPropertyDescriptors(java.lang.Object thisObject)

  Description copied from interface: `IItemPropertySource`
  This does the same thing as IPropertySource.getPropertyDescriptors.

  Specified by:
    `getPropertyDescriptors` in interface `IItemPropertySource`

### getPropertyDescriptor

    public IItemPropertyDescriptor getPropertyDescriptor(java.lang.Object thisObject,
                                                         java.lang.Object propertyId)

  Description copied from interface: `IItemPropertySource`
  This returns the property descriptor with an `ID` or `feature` that matches the given ID.

  Specified by:
    `getPropertyDescriptor` in interface `IItemPropertySource`

### getEditableValue

    public java.lang.Object getEditableValue(java.lang.Object thisObject)

  Description copied from interface: `IItemPropertySource`
  This returns the value to be edited.

  Specified by:
    `getEditableValue` in interface `IItemPropertySource`

### createPropertyDescriptorDecorator

    protected IItemPropertyDescriptor createPropertyDescriptorDecorator(java.lang.Object object,
                                                                        IItemPropertyDescriptor itemPropertyDescriptor)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.